Skip to main content
POST
/
api
/
v1
/
knowledge-bases
Create Knowledge Base
curl --request POST \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form name=b \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "data": {
    "id": "01kqh44ev725mapzgbh93awykk",
    "name": "eius et animi",
    "texts": [],
    "urls": [],
    "files": [],
    "created_at": "2026-05-01T06:38:04+00:00",
    "updated_at": "2026-05-01T06:38:04+00:00",
    "workspace_id": "01kqh44etv614w6a60hvnyme6x"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

multipart/form-data
name
string
required

Must be at least 1 character. Must not be greater than 255 characters.

Example:

"b"

urls
object[]
Example:
[]
texts
object[]
Example:
[]
files
file[]

Must be a file. Must not be greater than 102400 kilobytes.

Response

201 - application/json
data
object